%define	major 0
%define	libname %mklibname vorbis %{major}
%define	devname %mklibname -d vorbis

%define	encmaj 2
%define	libenc %mklibname vorbisenc %{encmaj}

%define	filemaj 3
%define	libfile %mklibname vorbisfile %{filemaj}

Summary:	The Vorbis General Audio Compression Codec
Name:		libvorbis
Version:	1.3.6
Release:	1
Group:		Sound
License:	BSD
Url:		http://www.xiph.org/
Source0:	http://downloads.xiph.org/releases/vorbis/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	texlive-latex.bin
BuildRequires:	pkgconfig(ogg) >= 1.0

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed and
variable bitrates from 16 to 128 kbps/channel.
Find some free Ogg Vorbis music here: http://www.vorbis.com/music.html.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%doc AUTHORS CHANGES COPYING
%{_libdir}/libvorbis.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libenc}
Summary:	Encoder specialized library for %{name}
Group:		System/Libraries

%description -n %{libenc}
This package contains the library needed for some programs using the
encoder capability of %{name}.

%files -n %{libenc}
%doc COPYING
%{_libdir}/libvorbisenc.so.%{encmaj}*

#----------------------------------------------------------------------------

%package -n %{libfile}
Summary:	File operations specialized library for %{name}
Group:		System/Libraries

%description -n %{libfile}
This package contains the library needed for some programs using the
file operations capability of %{name}.

%files -n %{libfile}
%doc COPYING
%{_libdir}/libvorbisfile.so.%{filemaj}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libenc} = %{EVRD}
Requires:	%{libfile} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
%rename		%{_lib}vorbis-static-devel

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications using %{name}.

%files -n %{devname}
%doc AUTHORS CHANGES COPYING
%doc installed-docs/%{name}-%{version}/*
%{_includedir}/vorbis
%{_libdir}/*.so
%{_datadir}/aclocal/vorbis.m4
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
autoreconf -vfi


%build
%configure2_5x	--disable-static \
				--enable-docs
%make


%install
%makeinstall_std

# Remove installed docs: we pick them with %%doc
mv %{buildroot}/%{_datadir}/doc installed-docs
rm -f installed-docs/%{name}-%{version}/*.stamp

%changelog

* Mon Mar 19 2018 Giovanni Mariani <mc2374@mclink.it> 1.3.6-1
- (1aecefe) Updated to release 1.3.6, built doxygen docs


